unit Unit1;

interface

uses
  Windows, Messages, SysUtils,
  Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,
  gfx_files, Buttons;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    ScrollBox1: TScrollBox;
    Image2: TImage;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
    lienzo : TCanvas;
    BM     : TBitMap;  // para manipular una imagen
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

// Create
procedure TForm1.FormCreate(Sender: TObject);
begin
  lienzo := Image1.Canvas;
  BM := TBitMap.Create;

  Application.Icon.LoadFromFile('bee.ico');
end;

// Dibujar
procedure TForm1.Button1Click(Sender: TObject);
begin
  lienzo.Brush.Color := clGray;
  lienzo.Rectangle(0,0,Image1.Width,Image1.Height);

  lienzo.Brush.Color := clAqua;
  lienzo.Rectangle(10,10,100,100);
  lienzo.Brush.Color := clGreen;
  lienzo.Ellipse(50,50,150,150)
end;

// Salvar
procedure TForm1.Button2Click(Sender: TObject);
begin
//  Image1.Picture.SaveToFile('fig.bmp');
  gfx_files.SaveBMPToAnyFile(Image1.Picture.Bitmap,'fig.png',0,0);

end;


procedure TForm1.Button3Click(Sender: TObject);
var
  nom : string;
begin
  SaveDialog1.Filter := gfx_files._SaveFilterString;
  if SaveDialog1.Execute then begin
    nom := SaveDialog1.FileName;  // tomamos el nombre del archivo
    gfx_files.SaveBMPToAnyFile(Image1.Picture.Bitmap,nom,0,0);
  end;
end;

// Cargar / Abrir
procedure TForm1.BitBtn1Click(Sender: TObject);
var
  nom   : string;
  Al,An : integer;
begin
  OpenDialog1.Filter := gfx_files._OpenFilterString;
  if OpenDialog1.Execute then begin
    nom := OpenDialog1.FileName;
    gfx_files.LoadAnyImageToBMP(BM,nom,false,0,0);
    Image2.Picture.Assign(BM);

    Al := BM.Height;
    An := BM.Width;
    Label1.Caption := 'Tamao: ' + IntToStr(An)+'x'+IntToStr(Al);
  end;
end;



end.
